Package com.independentsoft.msg

# Class StandardPropertySet

java.lang.Object
com.independentsoft.msg.StandardPropertySet

public class StandardPropertySet extends Object
Provides the GUIDs of the standard MAPI property sets used to identify named (extended) properties. Each field is the 16-byte GUID of a well-known property set and can be used as the `GUID` when building an `ExtendedPropertyId` or `ExtendedPropertyName`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static byte[]`
  `ADDRESS`
  The GUID of the PSETID_Address property set (contact and address book properties).
  `static byte[]`
  `APPOINTMENT`
  The GUID of the PSETID_Appointment property set (calendar and meeting properties).
  `static byte[]`
  `COMMON`
  The GUID of the PSETID_Common property set (properties common to several item types).
  `static byte[]`
  `INTERNET_HEADERS`
  The GUID of the PS_INTERNET_HEADERS property set (transport message headers).
  `static byte[]`
  `JOURNAL`
  The GUID of the PSETID_Log property set (journal properties).
  `static byte[]`
  `MAPI`
  The GUID of the PS_MAPI property set.
  `static byte[]`
  `NOTE`
  The GUID of the PSETID_Note property set (sticky note properties).
  `static byte[]`
  `PUBLIC_STRINGS`
  The GUID of the PS_PUBLIC_STRINGS property set.
  `static byte[]`
  `TASK`
  The GUID of the PSETID_Task property set (task properties).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StandardPropertySet()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAPI

    public static final byte[] MAPI
    The GUID of the PS_MAPI property set.

  - ### PUBLIC_STRINGS

    public static final byte[] PUBLIC_STRINGS
    The GUID of the PS_PUBLIC_STRINGS property set.

  - ### INTERNET_HEADERS

    public static final byte[] INTERNET_HEADERS
    The GUID of the PS_INTERNET_HEADERS property set (transport message headers).

  - ### APPOINTMENT

    public static final byte[] APPOINTMENT
    The GUID of the PSETID_Appointment property set (calendar and meeting properties).

  - ### TASK

    public static final byte[] TASK
    The GUID of the PSETID_Task property set (task properties).

  - ### ADDRESS

    public static final byte[] ADDRESS
    The GUID of the PSETID_Address property set (contact and address book properties).

  - ### COMMON

    public static final byte[] COMMON
    The GUID of the PSETID_Common property set (properties common to several item types).

  - ### NOTE

    public static final byte[] NOTE
    The GUID of the PSETID_Note property set (sticky note properties).

  - ### JOURNAL

    public static final byte[] JOURNAL
    The GUID of the PSETID_Log property set (journal properties).

- ## Constructor Details

  - ### StandardPropertySet

    public StandardPropertySet()